#############################################################################
#
# Basic Interval Arithmetic Subroutines Rounding Control (80x86 Win32)
# --------------------------------------------------------------------
#
# Copyright (c) 1997 Olaf Knueppel
#
# $Id: fpRound.s,v 1.1 1998/10/15 11:08:37 knueppel Exp $
#
#############################################################################

		.file		"$RCSfile: fpRound.s,v $"
		.version	"$Revision: 1.1 $"

		.text

		.align		4
		.globl		_BiasRoundUp
_BiasRoundUp:
		fstcw		_fpcw
		movw		_fpcw,%ax
		andb		$0xf3,%ah
		orb		$0x08,%ah
		movw		%ax,_fpcw
		fldcw		_fpcw
		ret
.LUp:

		.align		4
		.globl		_BiasRoundDown
_BiasRoundDown:
		fstcw		_fpcw
		movw		_fpcw,%ax
		andb		$0xf3,%ah
		orb		$0x04,%ah
		movw		%ax,_fpcw
		fldcw		_fpcw
		ret
.LDown:

		.align		4
		.globl		_BiasRoundNear
_BiasRoundNear:
		fstcw		_fpcw
		movw		_fpcw,%ax
		andb		$0xf3,%ah
		movw		%ax,_fpcw
		fldcw		_fpcw
		ret
.LNear:

		.lcomm		_fpcw,4

		.ident		"$Id: fpRound.s,v 1.1 1998/10/15 11:08:37 knueppel Exp $"
