/************************************************************************
 *
 * Definition of Some utility routines
 * -----------------------------------
 *
 * Copyright (c) 1993, 1997 Olaf Knueppel
 *
 * $Id: Utilities.h,v 1.1 1997/09/23 11:50:54 knueppel Exp $
 *
 ************************************************************************/

#ifndef __UTILITIES__
#define __UTILITIES__

#include <IntervalMatrix.h>

MATRIX Inverse (CONST MATRIX &);
MATRIX Transpose (CONST MATRIX &);
INTERVAL_VECTOR Lower (CONST INTERVAL_VECTOR &, INT);
INTERVAL_VECTOR Upper (CONST INTERVAL_VECTOR &, INT);
MATRIX Id (INT);

REAL RelDiam (CONST INTERVAL &);
VECTOR RelDiam (CONST INTERVAL_VECTOR &);

#endif /* __UTILITIES__ */
