/************************************************************************
 *
 * Definitions of Misc. Functions
 * ------------------------------
 *
 * Copyright (c) 1993, 1994 Thomas Simenec
 *
 * $Id: MiscFunctions.h,v 1.1 1997/09/23 11:53:55 knueppel Exp $
 *
 ************************************************************************/

#ifndef __MISCFUNCTIONS__
#define __MISCFUNCTIONS__ 

#include <Configuration.h>

#ifdef __16BIT__
  #define PROFIL_RAND_MAX 65535.0
#else
  #define PROFIL_RAND_MAX 4294967296.0
#endif

#if defined (__cplusplus)
extern "C" {
#endif

REAL Random (VOID);

REAL Rand01 (VOID);

unsigned long Rand (VOID);

VOID Randomize (VOID);

INT Binom (INT, INT);

INT Legendre (INT, INT);

#if defined (__cplusplus)
}
#endif

#endif /* __MISCFUNCTIONS__ */


