/************************************************************************
 *
 * Basic Interval Arithmetic Subroutines Sparc-Rounding (SunOS 4.1)
 * ----------------------------------------------------------------
 *
 * Copyright (c) 1997 Olaf Knueppel
 *
 * $Id: fpRound.s,v 1.1 1997/09/23 14:10:22 knueppel Exp $
 *
 ************************************************************************/

		.data
		.align	4
_FSR:
		.word	0

_CwRoundUp	= 0x80000000
_CwRoundDown	= 0xC0000000
_CwRoundNear	= 0x00000000
_CwMask		= 0xC0000000

		.text

		.align	4
		.global	_BiasRoundUp
		.proc	020
_BiasRoundUp:
		sethi	%hi(_FSR),%g2
		st	%fsr,[%g2+%lo(_FSR)]
		ld	[%g2+%lo(_FSR)],%g4
		sethi	%hi(_CwMask),%g3
		andn	%g4,%g3,%g4
		sethi	%hi(_CwRoundUp),%g3
		or	%g4,%g3,%g4
		st	%g4,[%g2+%lo(_FSR)]
		retl
		ld	[%g2+%lo(_FSR)],%fsr

		.align	4
		.global	_BiasRoundDown
		.proc	020
_BiasRoundDown:
		sethi	%hi(_FSR),%g2
		st	%fsr,[%g2+%lo(_FSR)]
		ld	[%g2+%lo(_FSR)],%g4
		sethi	%hi(_CwMask),%g3
		andn	%g4,%g3,%g4
		sethi	%hi(_CwRoundDown),%g3
		or	%g4,%g3,%g4
		st	%g4,[%g2+%lo(_FSR)]
		retl
		ld	[%g2+%lo(_FSR)],%fsr

		.align	4
		.global	_BiasRoundNear
		.proc	020
_BiasRoundNear:
		sethi	%hi(_FSR),%g2
		st	%fsr,[%g2+%lo(_FSR)]
		ld	[%g2+%lo(_FSR)],%g4
		sethi	%hi(_CwMask),%g3
		andn	%g4,%g3,%g4
		sethi	%hi(_CwRoundNear),%g3
		or	%g4,%g3,%g4
		st	%g4,[%g2+%lo(_FSR)]
		retl
		ld	[%g2+%lo(_FSR)],%fsr
