#############################################################################
#
# Basic Interval Arithmetic Subroutines Rounding Control (80x86 Linux ELF)
# ------------------------------------------------------------------------
#
# Copyright (c) 1997 Olaf Knueppel
#
# $Id: fpRound.s,v 1.1 1997/12/10 13:09:17 knueppel Exp $
#
#############################################################################

		.file		"$RCSfile: fpRound.s,v $"
		.version	"$Revision: 1.1 $"

		.text

		.align		4
		.globl		BiasRoundUp
		.type		BiasRoundUp,@function
BiasRoundUp:
		fstcw		_fpcw
		movw		_fpcw,%ax
		andb		$0xf3,%ah
		orb		$0x08,%ah
		movw		%ax,_fpcw
		fldcw		_fpcw
		ret
.LUp:
		.size		BiasRoundUp,.LUp-BiasRoundUp

		.align		4
		.globl		BiasRoundDown
		.type		BiasRoundDown,@function
BiasRoundDown:
		fstcw		_fpcw
		movw		_fpcw,%ax
		andb		$0xf3,%ah
		orb		$0x04,%ah
		movw		%ax,_fpcw
		fldcw		_fpcw
		ret
.LDown:
		.size		BiasRoundDown,.LDown-BiasRoundDown

		.align		4
		.globl		BiasRoundNear
		.type		BiasRoundNear,@function
BiasRoundNear:
		fstcw		_fpcw
		movw		_fpcw,%ax
		andb		$0xf3,%ah
		movw		%ax,_fpcw
		fldcw		_fpcw
		ret
.LNear:
		.size		BiasRoundNear,.LNear-BiasRoundNear

		.local		_fpcw
		.comm		_fpcw,2,2

		.ident		"$Id: fpRound.s,v 1.1 1997/12/10 13:09:17 knueppel Exp $"
