#########################################################################
#
# BIAS Makefile (Watcom wmake)
# ----------------------------
#
# $Id$
#
#########################################################################

BASEDIR		= ..\..
ARCHDIR		= $(BASEDIR)\config\x86-Windows95-compat-watcom

INSTALLDIR	= BIAS
LIBRARY		= Bias
INCLUDES	= Bias0.h Bias1.h Bias2.h BiasF.h BiasType.h
OBJECTS		= Bias0.obj Bias1.obj Bias2.obj BiasF.obj BiasRnd.obj

DEFINES		= -D__$(ENDIAN)ENDIAN__ -D__$(COMPARE)COMPARE__

!include $(ARCHDIR)/Host.cfg

all:		$(LIBRARY).lib

$(LIBRARY).lib:	$(OBJECTS)
	$(AR) $(LIBRARY) +Bias0.obj +Bias1.obj +Bias2.obj +BiasF.obj +BiasRnd.obj

Bias0.obj:	Bias0.c Bias0.h BiasInt.h $(ARCHDIR)\BiasRnd.h
Bias1.obj:	Bias1.c Bias1.h BiasInt.h $(ARCHDIR)\BiasRnd.h
Bias2.obj:	Bias2.c Bias2.h BiasInt.h $(ARCHDIR)\BiasRnd.h
BiasF.obj:	BiasF.c BiasF.h BiasInt.h $(ARCHDIR)\BiasRnd.h
BiasRnd.obj:	$(ARCHDIR)\BiasRnd.c $(ARCHDIR)\BiasRnd.h

Bias1.h:	Bias0.h
Bias2.h:	Bias1.h
BiasF.h:	Bias0.h

.c.obj:
	$(CC) $(CFLAGS) $(DEFINES) -I. -I$(ARCHDIR) -o $@ -c $<
