/************************************************************************
 *
 * Machine dependent constants
 * ---------------------------
 *
 * Copyright (c) 1993, 1997 Olaf Knueppel
 *
 * $Id: Constants.h,v 1.1 1997/09/23 11:50:52 knueppel Exp $
 *
 ************************************************************************/

#ifndef __CONSTANTS__
#define __CONSTANTS__

#include <Configuration.h>

class Machine {
public:
  static REAL Epsilon;            // smallest positive number with 1.0 + Eps > 1.0
  static REAL MinPositive;        // smallest positive number
  static REAL PosInfinity;        // should be +oo
  static REAL NegInfinity;        // should be -oo
  static REAL NaN;                // should be NaN
  Machine();
  ~Machine() { }
};

#endif /* __CONSTANTS__ */
