/************************************************************************
 *
 * Implementation of type INTERVAL
 * -------------------------------
 *
 * Copyright (c) 1993, 1997 Olaf Knueppel
 *
 * $Id: Interval.C,v 1.1 1997/09/23 11:50:53 knueppel Exp $
 *
 ************************************************************************/

static const char rcs_id[] = "$Id: Interval.C,v 1.1 1997/09/23 11:50:53 knueppel Exp $";

#include <Interval.h>

#if defined (__SIMPLEINOUT__)
ostream & operator << (ostream & os, CONST INTERVAL & x)
{
  return os << '[' << Inf (x) << ',' << Sup(x) << ']';
}

istream & operator >> (istream & is, INTERVAL & x)
{
  REAL a, b;

  is >> a;
  is >> b;
  BiasHullRR (Bias(x), & a, & b);
  return is;
}
#endif

// The following code is only used to force Constants.C to be
// always included in the executable code.

extern VOID RegisterConstants ();

VOID RegisterInterval () { RegisterConstants (); }
