/************************************************************************
 *
 * Definition of Real Automatic Differentiation Type
 * -------------------------------------------------
 *
 * Copyright (c) 1993, 1997 Olaf Knueppel
 *
 * $Id: AutoDiff.h,v 1.1 1997/09/23 11:52:01 knueppel Exp $
 *
 ************************************************************************/

#ifndef __AUTODIFF__
#define __AUTODIFF__

#include <Matrix.h>

#define AUTODIFF_TYPE          AUTODIFF
#define AUTODIFF_SIMPLE_TYPE   REAL
#define AUTODIFF_VECTOR_TYPE   VECTOR
#define AUTODIFF_MATRIX_TYPE   MATRIX
#define AUTODIFF_COMPUTE_HESSIAN
#include <AutoDiff/AutoDiff.hgen>
#undef AUTODIFF_MATRIX_TYPE
#undef AUTODIFF_VECTOR_TYPE
#undef AUTODIFF_SIMPLE_TYPE
#undef AUTODIFF_TYPE

#endif /* __AUTODIFF__ */
