/************************************************************************
 *
 * Definition of Interval Automatic Differentiation Type
 * -----------------------------------------------------
 *
 * Copyright (c) 1993, 1997 Olaf Knueppel
 *
 * $Id: IntervalAutoDiff.h,v 1.1 1997/09/23 11:52:01 knueppel Exp $
 *
 ************************************************************************/

#ifndef __INTERVAL_AUTODIFF__
#define __INTERVAL_AUTODIFF__

#include <IntervalMatrix.h>

#define AUTODIFF_TYPE          INTERVAL_AUTODIFF
#define AUTODIFF_SIMPLE_TYPE   INTERVAL
#define AUTODIFF_VECTOR_TYPE   INTERVAL_VECTOR
#define AUTODIFF_MATRIX_TYPE   INTERVAL_MATRIX
#define AUTODIFF_COMPUTE_HESSIAN
#include <AutoDiff/AutoDiff.hgen>
#undef AUTODIFF_MATRIX_TYPE
#undef AUTODIFF_VECTOR_TYPE
#undef AUTODIFF_SIMPLE_TYPE
#undef AUTODIFF_TYPE

#endif /* __INTERVAL_AUTODIFF__ */
